Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[TOOL] - Unclepine - Dipendenze e Pulizia _beta18
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2, 3 ... 10, 11, 12, 13, 14, 15  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Risorse italiane (documentazione e tools)
View previous topic :: View next topic  
Author Message
Gaspyd
Apprentice
Apprentice


Joined: 21 Nov 2004
Posts: 242
Location: Brindisi, Italy

PostPosted: Tue Mar 15, 2005 8:26 pm    Post subject: Reply with quote

xchris wrote:
non postare qui il debug che e' kilometrico :)
manda tutto via mail!

Assolutamente. E che non ti ho trovato su jabber altrimenti te l'avrei inviato direttamente da li.
Stesso identico comportamento con la versione 16 in entrambi i casi, con -su e senza!!!
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Tue Mar 15, 2005 8:32 pm    Post subject: Reply with quote

vai sul mio sito bulgaro - sezione download

via jabber non ci sta proprio il debug di unclepine :)

ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Wed Mar 16, 2005 8:48 am    Post subject: Reply with quote

Gaspyd wrote:
darshan root # emerge info|grep USE|grep gtk2
USE="... gtk2 ...."
[/code]


scusa ma ho visto solo ora...

ma se gtk2 e' settata nelle sistem use e' normale che voglia rimuoverti la versione x11-libs/wxGTK-2.4.2-r2!

E infatti supponendo che l'hai compilato senza gtk2 usando:

Code:

unclepine -u (senza -su)


e' normale che non te lo indichi piu'!

per quanto riguarda flac non ti so dire... senza dettagli.
Magari lancia

Code:

unclepine -su -db flac


cosi' vediamo chi lo vuole usando le system use.


A mio parere e' oramai + saggio usare l'accoppiata "mix" mode e compile-use (quindi senza -su)


ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1338
Location: ITALY between Pisa and Versilia

PostPosted: Wed Mar 16, 2005 12:19 pm    Post subject: Reply with quote

Ho provato la console... mi sembra un po' ... molto molto alfa e sperimentale heheheh
quindi mi son chiesto: non è che puoi implementare una funzione tipo -write-cache -read-cache che funziona a questo modo:
al primo uso di unclepine si da un -write-cache, e lui salva su dei files temporanei tutte le cosette che deve salvare. negli usi successivi, si da un -read-cache, e unclepine invece di calcolare le dipendenze usa i files.
La durata dei files è la stessa di una sessione con la console di unclepine, dopo che sono stati fatti cambiamenti al sistema di puo usare unclepine normalmente, o dare di nuovo un -write-cache...
_________________
Guida per i nuovi arrivati a.k.a. Potresti avere la risposta tra le mani
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Wed Mar 16, 2005 12:22 pm    Post subject: Reply with quote

non ti ho capito molto :)

cmq unclepine non si ricalcola tutto...
tiene buono sempre il DB centrale. (che e' l'operazione + dispendiosa in temini di FS)
A me la console,una volta asttivata e' istantanea...(e con psyco)
ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1338
Location: ITALY between Pisa and Versilia

PostPosted: Wed Mar 16, 2005 12:31 pm    Post subject: Reply with quote

Infatti davo un alternativa alla console. =D
O è buggata solo sul mio pc, oppure è sempre embrionale:
-se vado a capo cancello anche quello che ha stampato uclepine
-se premo freccia su mi sale il cursore invece di ripetere l'ultimo comando
-ecc ecc
Quindi pensavo a un "unclepine --costruisci-database" e "unclepine --usa-database" cosi da poter usare bash =D
_________________
Guida per i nuovi arrivati a.k.a. Potresti avere la risposta tra le mani
Back to top
View user's profile Send private message
Gaspyd
Apprentice
Apprentice


Joined: 21 Nov 2004
Posts: 242
Location: Brindisi, Italy

PostPosted: Wed Mar 16, 2005 1:40 pm    Post subject: Reply with quote

xchris wrote:

ma se gtk2 e' settata nelle sistem use e' normale che voglia rimuoverti la versione x11-libs/wxGTK-2.4.2-r2!

No non ho capito molto, scusami.
Allora le wxGTK sono compilate con flag use gtk2 attiva così come specificato nel mio make.conf:
Code:

darshan root # etcat -u wxGTK|grep gtk2
 + + gtk2      : Use gtk+-2.0.0 over gtk+-1.2 in cases where a program supports both.

Il fatto che abbia flag-use gtk2 attiva non presuppone che wxGTK (richiesto da amule) sia inutile, no ?
Forse faccio dei ragionamenti sballati e tendo a confondere -su e -cu, dovrei documentarmi meglio sul tuo (tra l'altro splendido) lavoro ...

xchris wrote:

per quanto riguarda flac non ti so dire... senza dettagli.
Magari lancia
Code:

unclepine -su -db flac

cosi' vediamo chi lo vuole usando le system use.

E' richiesto da xmms che ha flac attiva come specificato da make.conf:
Code:

media-libs/flac-1.1.0-r2
NEEDED BY:
        * media-sound/xmms-1.2.10-r13

xchris wrote:

A mio parere e' oramai + saggio usare l'accoppiata "mix" mode e compile-use (quindi senza -su)

"mix" mode :?
conoscevo solo -su e -cu ma mix mode come va lanciato ......!
Mi piacerebbe approfondire il discorso, qualcosa di un pò più approfondito dell'help in linea, in giro ?
Così smetto di fare domande, magari x te banali :oops:
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Wed Mar 16, 2005 1:50 pm    Post subject: Reply with quote

in realta' non e' una tua mancanza.
E' solo mia.. perche' le informazioni sono sparse in questo lungo thread.

Dovrei fare qualche pagina con tutte le spiegazioni.
A breve le faccio.. promesso.

controlla con etcat quali useflag hai usato in compilazione per un determinato pacchetto!
ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
flocchini
Veteran
Veteran


Joined: 17 May 2003
Posts: 1124
Location: Milano, Italy

PostPosted: Wed Mar 16, 2005 9:32 pm    Post subject: Reply with quote

Finalmente ho provato anche io lo Ziopino... E devo dire che (peraltro conformemente alle mie aspettative) funziona davvero bene. Ho eradicato completamente gnome 2.10 senza alcun problema e confrontando l'operato dello script con un txt creato al momento dell'emerge con l'elenco delle dipendenze. Ha segato via tutto, ne' un poco di meno ne' un poco di piu' 8O :lol:

Ho avuto un problemino in fase di pulizia generale invece

Code:
unclepine -su -u


ha seccato un sacco di librerie vecchi/doppie/non usate insieme pero' alle libpng che ho scoperto poi essere una dipendenza fondamentale per il mio xorg (invero un po' anzianotto, era la 6.8.0-r1). Una riemersione delle libpng ha sistemato il tutto, aggiornando poi xorg ho notato che chiedendo a ziopino di pulire il sistema non ha tentato di segare nuovamente le libpng... Ipotizzo quindi che sia stato un errore mio in fase di installazione o di qualche ebuild malformato. Giusto? Altrimenti come potrei verificare/aiutare nel debug?

Edit: uso l'ultima versione al moment, 0.1 beta 18
_________________
~~ Per amore della rosa si sopportano le spine... ~~
Back to top
View user's profile Send private message
gutter
Moderator
Moderator


Joined: 13 Mar 2004
Posts: 7160
Location: Aarau, Aargau, Switzerland

PostPosted: Wed Mar 16, 2005 9:41 pm    Post subject: Reply with quote

flocchini wrote:
Una riemersione delle libpng ha sistemato il tutto, aggiornando poi xorg ho notato che chiedendo a ziopino di pulire il sistema non ha tentato di segare nuovamente le libpng... Ipotizzo quindi che sia stato un errore mio in fase di installazione o di qualche ebuild malformato. Giusto? Altrimenti come potrei verificare/aiutare nel debug?


Se non hai usato --oneshot te le ha messe nel world e quindi lo Zio non le propone come "roba da togliere" per questo motivo.
_________________
Registered as User #281564 and Machines #163761
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Wed Mar 16, 2005 10:38 pm    Post subject: Reply with quote

prova a vedere se nei file *DEPEND e' menzionato il pacchetto. :)

se non hai usato oneshot e' come dice gutter :) altrimenti e' un mistero :lol:

scherzi a parte... ispeziona i file depend e a sistema aggiornato e syncato prova a fare

lo hai lasciato in "mix" mode. (se non sai cosa e' ... e' in mix mode :))

ciao e grazie :)
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
flocchini
Veteran
Veteran


Joined: 17 May 2003
Posts: 1124
Location: Milano, Italy

PostPosted: Wed Mar 16, 2005 11:20 pm    Post subject: Reply with quote

certo che ha ragione gutter... I miei dubbi erano sul perche' me le avesse segate la prima volta, non sul perche' le mantenesse ora. Perdonate se mi sono espresso male :wink:

L'ebuild piu' antico che ho in portage tree ora e' di xorg 6.8.0-r3 e tra le dipendenze sono correttamente indicate le libpng. Chissa' se anche nella r1 erano indicate... Suppongo di si', saro' stato io a emergere xorg in modo baruffo a questo punto. Direi che lo zio e' innocente

Per quanto riguarda le modalita'... E' in mix mode anche perche' nonostante abbia letto di differenti modalita' operative non ho ancora investito molto tempo per studiare l'opera, conto di colmare le mie lacune quanto prima visto che senza dubbio merita, grazie X :D
_________________
~~ Per amore della rosa si sopportano le spine... ~~
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Wed Mar 16, 2005 11:26 pm    Post subject: Reply with quote

sono contento che te gusti :)

comunque consigli di lasciarlo in mix mode e di non usare su!

in questo modo considera le dipendenze da portage syncato + dipendenze da pacchetti installati e considera solo le useflags usate in compilazione per ogni pacchetto...

e mi sembra sia il miglior modo di operare.
(l'esempio di gaspyd ne e' un esempio con le gtk2)

Ciao Ciao :)
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
grentis
Guru
Guru


Joined: 20 Jul 2004
Posts: 321

PostPosted: Thu Mar 17, 2005 12:57 pm    Post subject: Reply with quote

Ciao...una domanda:
se lancio
Code:
unclepine -u

mi viene visualizzato da elminare il kernel 2.6.10 (W) vecchio slot

Infatti ho appena emerso il 2.6.11.
Come faccio a unmergere un particolare slot senza rimuovere il kernel dal file world?
Non so se è chiaro come ho spiegato...
se io faccio
Code:
eunmerge -C kernel-2.6.10
nel file world rimane cmq? o mi viene rimosso ogni riferimento al kernel(non essendoci nel file world le versioni)?

grazie
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Thu Mar 17, 2005 1:17 pm    Post subject: Reply with quote

stai attento a non togliere il tuo tree corrente :)

il discorso kernel e' un po' delicato.

Unclepine dice che e' vecchio anche se lo si sta usando.
Il punto e' che il fatto che un kernel sia installato non significa che lo si sta usando.

vai pure di emerge -C cat/app-ver se reputi sia inutile

senza problemi :) (portage vedendo che ci sono n-versioni non lo toglie dal world)
ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
RockSteady
Guru
Guru


Joined: 28 Jun 2003
Posts: 432
Location: mestre - venice -italy

PostPosted: Fri Mar 25, 2005 10:07 am    Post subject: Reply with quote

Code:
[root@bboy] [pts/0] [unclepine-release-0.1] *10:54:00* # ./unclepine -u -su -v

                ********************** WARNING **************************
                *                 USE AT YOUR OWN RISK!!!!!             *
                *                                                       *
                * MISUSE OF THIS TOOL CAN BREAK YOUR GENTOO             *
                * ESPECIALLY IF NOT WELL MANTAINED                      *
                *********************************************************
         (__) *
         (@@)
  /-------\/
 / |Larry||
*  ||----||
   ^^    ^^             ~ http://www.xchris.net ~



~ Version 0.1_beta18

!!! Psyco not enabled.If you are x86 emerge psyco to speed up ;)
>>> Considering System Use
>>> Considering Build time Use
>>> Considering RDEPEND files
>>> Considering DEPEND files
>>> Considering PDEPEND files

>>> Reading portage parameters
>>> Inherited Useflags excluding make.conf ones : alsa arts bash-completion berkdb cdr cups curl emboss esd fam foomaticdb gdbm gif gnome gpm gstreamer gtk imagemagick imlib java junit kde libwww mad mikmod motif ncurses nls oggvorbis opengl pam pdflib perl png python qt readline sdl slang ssl svga tcltk tcpd tiff X xml2 xmms zlib
        ARCH:           x86
        PORTDIR:        /usr/portage
        USEFLAGS:       69
>>> Building Virtuals
>>> Reading dependencies files from /var/db/pkg/ /var/cache/edb/dep/usr/portage/ (mix mode)
!!! Using only info from /var/db/pkg for: x11-base/xorg-x11-6.8.0-r4
!!! Using only info from /var/db/pkg for: x11-libs/resourceext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/compositeext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/damageext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/recordext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xfont-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/glitz-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xau-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xproto-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/fixesext-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xdmcp-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/randr-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xtrans-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/xextensions-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/x11-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/glitzinfo-cvs-20050313
!!! Using only info from /var/db/pkg for: x11-libs/openmotif-2.2.3-r1
!!! Using only info from /var/db/pkg for: x11-libs/render-cvs-20050313
!!! Using only info from /var/db/pkg for: kde-base/kdegraphics-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/arts-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdenetwork-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdeutils-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdeedu-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdelibs-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdebase-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdegames-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdetoys-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdemultimedia-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kde-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdepim-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdeaddons-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdeartwork-3.4.0_beta2
!!! Using only info from /var/db/pkg for: kde-base/kdeadmin-3.4.0_beta2
!!! Using only info from /var/db/pkg for: media-gfx/splashutils-0.9_pre10
!!! Using only info from /var/db/pkg for: media-libs/imlib2-1.2.0
!!! Using only info from /var/db/pkg for: sys-process/vixie-cron-4.1-r5
!!! Using only info from /var/db/pkg for: sys-libs/cracklib-2.7-r10
!!! Using only info from /var/db/pkg for: app-emulation/wine-20050111
!!! Using only info from /var/db/pkg for: net-misc/openssh-3.9_p1-r1
!!! Using only info from /var/db/pkg for: net-misc/rsync-2.6.0-r3
!!! Using only info from /var/db/pkg for: dev-lang/perl-5.8.5-r4
!!! Using only info from /var/db/pkg for: net-wireless/p3nfs-5.16
>>> Resolving dependencies
>>> Reading world file in /var/lib/portage/world
>>> Reading system packages and dependecies

Unlinked Packages: 222

        * app-admin/syslog-ng-1.6.5-r2
        * app-arch/unrar-3.4.3
        * app-arch/zip-2.3-r4
        * app-cdr/cdrdao-1.1.9
        * app-cdr/cdrtools-2.01
        * app-cdr/k3b-0.11.19
        * app-dicts/aspell-en-0.51.1
        * app-doc/doxygen-1.3.9.1
        * app-emulation/wine-20050111
        * app-emulation/winesetuptk-0.7
        * app-portage/gentoolkit-0.2.0
        * app-portage/mirrorselect-0.89
        * app-shells/bash-completion-20050121-r2
        * app-text/a2ps-4.13c-r2
        * app-text/enchant-1.1.3
        * app-text/gtkspell-2.0.4-r1
        * app-text/psutils-1.17
        * dev-cpp/gconfmm-2.0.2
        * dev-cpp/gtkmm-2.2.12
        * dev-cpp/libglademm-2.0.1
        * dev-cpp/libgnomecanvasmm-2.0.1
        * dev-cpp/libgnomemm-2.0.1
        * dev-cpp/libgnomeuimm-2.0.0
        * dev-java/ant-1.6.2-r6
        * dev-java/ant-core-1.6.2
        * dev-java/ant-tasks-1.6.2-r5
        * dev-java/antlr-2.7.4
        * dev-java/avalon-logkit-bin-1.2.2
        * dev-java/bcel-5.1
        * dev-java/bsf-2.3.0-r2
        * dev-java/bsh-2.0_beta1-r1
        * dev-java/commons-beanutils-1.7.0
        * dev-java/commons-cli-1.0-r4
        * dev-java/commons-collections-3.1
        * dev-java/commons-lang-2.0-r1
        * dev-java/commons-logging-1.0.4
        * dev-java/commons-net-1.3.0
        * dev-java/javacup-0.10k
        * dev-java/jdepend-2.8.1
        * dev-java/jsch-0.1.18
        * dev-java/junit-3.8.1-r1
        * dev-java/jython-2.1-r5
        * dev-java/jzlib-1.0.5
        * dev-java/libreadline-java-0.8.0-r1
        * dev-java/log4j-1.2.9
        * dev-java/oro-2.0.8
        * dev-java/regexp-1.3-r1
        * dev-java/rhino-1.5.5-r1
        * dev-java/servletapi-2.3-r1
        * dev-java/swt-3.1
        * dev-java/systray4j-2.4
        * dev-java/xalan-2.6.0-r1
        * dev-java/xerces-2.6.2-r2
        * dev-java/xjavac-20041208
        * dev-java/xml-commons-1.0_beta2
        * dev-java/xml-commons-resolver-1.1
        * dev-libs/dbh-1.0.20
        * dev-libs/libcdio-0.69
        * dev-libs/libol-0.3.14
        * dev-libs/libsigc++-1.2.5
        * dev-libs/libusb-0.1.8
        * dev-libs/lzo-1.08-r1
        * dev-libs/nspr-4.4.1-r2
        * dev-libs/nss-3.9.2-r2
        * dev-libs/openobex-1.0.1
        * dev-libs/pth-1.4.0
        * dev-python/pygtk-2.4.1
        * dev-python/pyopengl-2.0.0.44
        * dev-python/wxpython-2.4.2.4
        * dev-tcltk/tls-1.4.1
        * dev-util/dialog-1.0.20040731
        * dev-util/gperf-3.0.1
        * dev-util/pccts-1.33.33
        * gnome-base/gnome-keyring-0.4.0
        * gnome-base/gnome-libs-1.4.2
        * gnome-base/gnome-mime-data-2.4.2
        * gnome-base/gnome-vfs-2.8.3-r1
        * gnome-base/libbonobo-2.8.0
        * gnome-base/libbonoboui-2.8.0
        * gnome-base/libglade-2.4.0
        * gnome-base/libgnome-2.8.0
        * gnome-base/libgnomecanvas-2.8.0
        * gnome-base/libgnomeui-2.8.0
        * gnome-base/orbit-0.5.17
        * kde-base/kde-3.3.2 (W):  old slot
        * kde-base/kdeaccessibility-3.3.2
        * kde-base/kdeaddons-3.3.2
        * kde-base/kdeadmin-3.3.2
        * kde-base/kdeartwork-3.3.2
        * kde-base/kdeedu-3.3.2-r1
        * kde-base/kdegames-3.3.2
        * kde-base/kdegraphics-3.3.2-r2
        * kde-base/kdemultimedia-3.3.2
        * kde-base/kdenetwork-3.3.2
        * kde-base/kdepim-3.3.2
        * kde-base/kdetoys-3.3.2
        * kde-base/kdeutils-3.3.2
        * kde-base/kdewebdev-3.3.2
        * media-gfx/graphviz-1.10
        * media-gfx/imagemagick-6.1.8.8
        * media-gfx/splashutils-0.9_pre10
        * media-libs/a52dec-0.7.4-r3
        * media-libs/divx4linux-20030428-r1
        * media-libs/gdk-pixbuf-0.22.0-r3
        * media-libs/libdvbpsi-0.1.3
        * media-libs/libdvdcss-1.2.8
        * media-libs/libdvdread-0.9.4
        * media-libs/libexif-0.5.12-r2
        * media-libs/libfame-0.9.0
        * media-libs/libmovtar-0.1.3-r1
        * media-libs/libmpeg2-0.4.0b
        * media-libs/libmpeg3-1.5.2
        * media-libs/libquicktime-0.9.2_pre1
        * media-libs/libsamplerate-0.1.1-r1
        * media-libs/netpbm-10.20
        * media-libs/sdl-mixer-1.2.5-r1
        * media-libs/sdl-net-1.2.5
        * media-libs/smpeg-0.4.4-r4
        * media-libs/xvid-1.0.2
        * media-plugins/xmms-infopipe-1.3
        * media-sound/madplay-0.15.2b
        * media-sound/mpg123-0.59s-r9
        * media-sound/normalize-0.7.6-r2
        * media-sound/sox-12.17.5-r1
        * media-sound/teamspeak2-client-bin-2.0.32.60-r3
        * media-video/ati-drivers-extra-8.8.25
        * media-video/avifile-0.7.41.20041001-r1
        * media-video/ffmpeg-0.4.7
        * media-video/mjpegtools-1.6.2-r3
        * media-video/mpeg2vidcodec-12-r1
        * media-video/transcode-0.6.11
        * media-video/vcdimager-0.7.20-r2
        * media-video/vlc-0.8.1
        * net-analyzer/netselect-0.3-r1
        * net-analyzer/nmap-3.81
        * net-firewall/guarddog-2.4.0
        * net-firewall/iptables-1.2.11-r3
        * net-im/amsn-0.94
        * net-im/centericq-4.20.0
        * net-im/jabberd-1.4.3-r4
        * net-irc/irssi-0.8.9-r1
        * net-libs/gecko-sdk-1.7.5
        * net-mail/mailbase-0.00-r6
        * net-misc/dhcp-3.0.1-r1
        * net-misc/dhcpcd-1.3.22_p4-r7
        * net-misc/whois-4.6.22
        * net-p2p/amule-2.0.0_rc7
        * net-p2p/bittornado-0.3.8
        * net-wireless/bluez-bluefw-1.0
        * net-wireless/bluez-libs-2.12
        * net-wireless/bluez-utils-2.12
        * net-wireless/kdebluetooth-0.0.20050122-r3
        * net-www/mplayerplug-in-2.80
        * sci-libs/fftw-3.0.1
        * sys-apps/hotplug-20040923
        * sys-apps/hotplug-base-20040401
        * sys-apps/most-4.9.5
        * sys-apps/pciutils-2.1.11-r3
        * sys-apps/slocate-2.7-r7
        * sys-apps/usbutils-0.11-r3
        * sys-boot/lilo-22.6.1
        * sys-fs/reiserfsprogs-3.6.19
        * sys-kernel/development-sources-2.6.9
        * sys-kernel/gentoo-dev-sources-2.6.9-r14
        * sys-libs/lib-compat-1.4
        * sys-process/vixie-cron-4.1-r5
        * www-client/mozilla-launcher-1.22
        * www-client/opera-8.00_beta2
        * x11-libs/compositeext-cvs-20050313
        * x11-libs/damageext-cvs-20050313
        * x11-libs/fixesext-cvs-20050313
        * x11-libs/gtkglarea-1.99.0
        * x11-libs/randr-cvs-20050313
        * x11-libs/recordext-cvs-20050313
        * x11-libs/render-cvs-20050313
        * x11-libs/resourceext-cvs-20050313
        * x11-libs/startup-notification-0.7
        * x11-libs/wxGTK-2.4.2-r2
        * x11-libs/wxGTK-2.5.3
        * x11-libs/x11-cvs-20050313
        * x11-libs/xau-cvs-20050313
        * x11-libs/xdmcp-cvs-20050313
        * x11-libs/xext-cvs-20050313
        * x11-libs/xextensions-cvs-20050313
        * x11-libs/xfont-cvs-20050313
        * x11-libs/xproto-cvs-20050313
        * x11-libs/xtrans-cvs-20050313
        * x11-misc/3ddesktop-0.2.7
        * x11-misc/xdialog-2.1.1
        * x11-plugins/gkrellm-mailwatch-2.4.2
        * x11-plugins/gkrellmoon-0.6
        * x11-plugins/gkrellmouse-0.0.2
        * x11-plugins/gkrellweather-2.0.6
        * x11-terms/aterm-0.4.2-r9
        * x11-themes/gnome-icon-theme-2.8.0
        * x11-themes/gnome-themes-2.8.1
        * x11-themes/gtk-engines-2.2.0
        * x11-themes/gtk-engines-xfce-2.2.5
        * x11-themes/hicolor-icon-theme-0.5
        * x11-wm/afterstep-2.00.01
        * xfce-base/libxfce4mcs-4.2.0
        * xfce-base/libxfce4util-4.2.0
        * xfce-base/libxfcegui4-4.2.0
        * xfce-base/xfce-mcs-manager-4.2.0
        * xfce-base/xfce-mcs-plugins-4.2.0
        * xfce-base/xfce-utils-4.2.0
        * xfce-base/xfce4-4.2.0
        * xfce-base/xfce4-panel-4.2.0
        * xfce-base/xfce4-session-4.2.0
        * xfce-base/xfdesktop-4.2.0
        * xfce-base/xffm-4.2.0
        * xfce-base/xfprint-4.2.0
        * xfce-base/xfwm4-4.2.0
        * xfce-extra/xfcalendar-4.2.0
        * xfce-extra/xfce4-appfinder-4.2.0
        * xfce-extra/xfce4-icon-theme-4.2.0
        * xfce-extra/xfce4-iconbox-4.2.0
        * xfce-extra/xfce4-mixer-4.2.0
        * xfce-extra/xfce4-systray-4.2.0
        * xfce-extra/xfce4-toys-4.2.0
        * xfce-extra/xfce4-trigger-launcher-4.2.0
        * xfce-extra/xfwm4-themes-4.2.0


come mai chiede tutta sta roba???
_________________
Linux yoyo 2.6.5 #2 SMP Sat May 22 10:52:10 Local time zone must be set--see zic i686 mobile AMD Athlon(tm) XP 2600+ AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
gutter
Moderator
Moderator


Joined: 13 Mar 2004
Posts: 7160
Location: Aarau, Aargau, Switzerland

PostPosted: Fri Mar 25, 2005 10:40 am    Post subject: Reply with quote

E tutta roba che potrebbe essere disinstallata.

Fatti un quickpkg prima di disinstallare ;)
_________________
Registered as User #281564 and Machines #163761
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2909
Location: Parma (Italy)

PostPosted: Sun Mar 27, 2005 1:14 pm    Post subject: Reply with quote

c'è una cosa che non capisco

Code:

Hal9000 root # unclepine -u
Unlinked Packages: 9

        * dev-cpp/gconfmm-2.0.2
        * dev-cpp/gtkmm-2.2.12
        * dev-cpp/libglademm-2.0.1
        * dev-cpp/libgnomecanvasmm-2.0.1
        * dev-cpp/libgnomemm-2.0.1
        * dev-cpp/libgnomeuimm-2.0.0
        * dev-libs/libsigc++-1.2.5
        * gnome-base/gnome-libs-1.4.2
        * gnome-base/orbit-0.5.17


una volta rimossi però emerge me li richiede
Code:

Hal9000 root # emerge -Dupvt world

These are the packages that I would merge, in reverse order:

Calculating world dependencies ...done!
[nomerge      ] app-cdr/cdrdao-1.1.9  -debug +gnome*
[ebuild  N    ]  dev-cpp/libgnomeuimm-2.0.0  -debug 418 kB
[ebuild  N    ]   dev-cpp/libgnomemm-2.0.1  -debug 229 kB
[ebuild  N    ]   dev-cpp/libglademm-2.0.1  -debug 232 kB
[ebuild  N    ]  dev-cpp/libgnomecanvasmm-2.0.1  -debug 412 kB
[ebuild  N    ]  dev-cpp/gconfmm-2.0.2  -debug 252 kB
[ebuild  N    ]   dev-cpp/gtkmm-2.2.12  -debug 3,756 kB
[ebuild  N    ]    dev-libs/libsigc++-1.2.5  -debug 398 kB


Li richiede cdrdao, giusto? Però ho anche questo output
Code:
Hal9000 root # unclepine -df cdrdao
app-cdr/cdrdao-1.1.9
HAS THESE DEPENDENCIES:
        * app-cdr/cdrtools-2.01-r2
        * dev-util/pccts-1.33.33
        * media-sound/lame-3.96.1 (W)
        * sys-devel/gcc-3.3.5-r1 (S)
        * sys-devel/patch-2.5.9 (S)


Sono io che sbaglio qualcosa o c'è un bacarozzo nell'ebuild?

p.s. io uso unclepine-0.1_beta18
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
lavish
Bodhisattva
Bodhisattva


Joined: 13 Sep 2004
Posts: 4295
Location: Venice Island, European Union

PostPosted: Sun Mar 27, 2005 1:28 pm    Post subject: Reply with quote

@RockSteady: mi sa che il tuo sistema non è tenuto molto bene ;)
_________________
www.minimalblue.com
Back to top
View user's profile Send private message
gutter
Moderator
Moderator


Joined: 13 Mar 2004
Posts: 7160
Location: Aarau, Aargau, Switzerland

PostPosted: Sun Mar 27, 2005 2:04 pm    Post subject: Reply with quote

@Onip: prova a disabilitare la use gnome da cdrdao.
_________________
Registered as User #281564 and Machines #163761
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2909
Location: Parma (Italy)

PostPosted: Sun Mar 27, 2005 2:54 pm    Post subject: Reply with quote

ma io un po' gnome lo uso, lo alterno a fluxbox....
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
fctk
Veteran
Veteran


Joined: 28 Jan 2004
Posts: 1424
Location: Milan, Italy, EU

PostPosted: Tue Mar 29, 2005 1:51 pm    Post subject: Reply with quote

ho un problema...

se do: unclepine -u -su:

Code:
Unlinked Packages: 13

   * media-libs/flac-1.1.1
   * media-libs/id3lib-3.8.3-r3
   * media-libs/libid3tag-0.15.1b
   * media-libs/libmusepack-1.1-r1
   * media-plugins/lamip-in-flac-0.0.3-r1
   * media-plugins/lamip-in-mp3-0.0.3-r1
   * media-plugins/lamip-in-musepack-0.0.3-r1
   * media-plugins/lamip-in-oggvorbis-0.0.3-r1
   * media-plugins/lamip-in-wav-0.0.3-r1
   * media-plugins/lamip-out-alsa-0.0.3-r1
   * media-plugins/lamip-ui-default-0.0.3-r1
   * media-plugins/lamip-ui-foobar-0.0.3-r1
   * media-sound/lamip-core-0.0.3-r1


eppure:

Code:
# grep lamip /var/lib/portage/world
media-sound/lamip


lamip non è in portage... ho scaricato l'overlay da qui: http://freakforever.net/lamip/wiki/index.php/Gentoo
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Tue Mar 29, 2005 2:26 pm    Post subject: Reply with quote

dovrei vedere...

passi che sbagli su una dipendenza...
ma che sbagli su un pacchetto in world mi sembra strano... muhm

hai per caso dato unclepine -u mentre stavi mergendo altro?

Eventualemente mandami via mail "unclepine -u --debug"
Grazie :)
ciao


EDIT: ho emerso lamip. Ho detto una caxxata.
media-sound/lamip non e' segnato per la rimozione ma il resto si.
A occhio sono scritti male gli ebuild.Controllo cmq.
Non si sa mai ;)
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
xchris
Advocate
Advocate


Joined: 10 Jul 2003
Posts: 2824
Location: 45.488291,9.186094

PostPosted: Tue Mar 29, 2005 3:09 pm    Post subject: Reply with quote

sembrerebbe un errore negli ebuild... o per lo meno..
non usa una sintassi standard.
(anche se portage la digerisce)

Chi scrive abitualmente ebuild (io non ne faccio mai :S) mi dica se dico inesattezze.

Code:

alsa? ( ~media-plugins/lamip-out-alsa )


lo scopo di ~ e' quello di selezionare la versione + nuova in una determinata "serie".
Ad esempio:

Code:

alsa? ( ~media-plugins/lamip-out-alsa-0.0.3 )



Per ottenere il risultato voluto da chi ha scritto l'ebuild e' + corretto scrivere

Code:

alsa? ( media-plugins/lamip-out-alsa )



se ho scritto inesattezze siete pregati di comunicarmelo :D
ciao
_________________
while True:Gentoo()
Back to top
View user's profile Send private message
gutter
Moderator
Moderator


Joined: 13 Mar 2004
Posts: 7160
Location: Aarau, Aargau, Switzerland

PostPosted: Tue Mar 29, 2005 3:45 pm    Post subject: Reply with quote

xchris wrote:

lo scopo di ~ e' quello di selezionare la versione + nuova in una determinata "serie".


In realtà si tratta di una release.

xchris wrote:

Ad esempio:

Code:

alsa? ( ~media-plugins/lamip-out-alsa-0.0.3 )



Per ottenere il risultato voluto da chi ha scritto l'ebuild e' + corretto scrivere

Code:

alsa? ( media-plugins/lamip-out-alsa )



se ho scritto inesattezze siete pregati di comunicarmelo :D
ciao


No da quello che so sono due cose diverse, nel primo caso in pratica tu dici che ti va bene qualunque release della serie 0.0.3, ad esempio:

Code:

media-plugins/lamip-out-alsa-0.0.3-r1
media-plugins/lamip-out-alsa-0.0.3-r2
ecc..


Con quello che hai scritto tu "mappi" qualunque versione di lamit-out-alsa. Credo che la sintassi precedente sia stata usata dal momento che altre versioni manifestino chiare incompatibilità.
_________________
Registered as User #281564 and Machines #163761
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Risorse italiane (documentazione e tools) All times are GMT
Goto page Previous  1, 2, 3 ... 10, 11, 12, 13, 14, 15  Next
Page 11 of 15

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum